Bug 134337 - SMART support in SATA driver
SMART support in SATA driver
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Garzik
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2004-10-01 10:37 EDT by Matthew Lenz
Modified: 2013-07-02 22:22 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-01-11 17:27:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Matthew Lenz 2004-10-01 10:37:29 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7)
Gecko/20040806 Firefox/0.9.3

Description of problem:
smartd fails when starting up on a machine which uses SATA.  This is
because SMART isn't supported for all/any SATA yet.  however, it looks
like SMART support was recently made available here:


Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. boot system with SATA drives

Actual Results:  watch for [FAILED] after system attempts to start smartd

Expected Results:  smartd shouldn't be loaded on systems that don't
support it.. or SMART support should be added now that its available.

Additional info:

2 x 168BG seagate barracuda SATA drives.  intel 875p mb chipset, ICH4
sata controller I believe.
Comment 1 Jeff Garzik 2004-10-01 10:44:10 EDT
As I noted in my linux-kernel post and status report, SMART support is
still experimental.  There are some problems that must be fixed before
it can be merged into mainline.
Comment 2 Matthew Lenz 2004-10-01 10:46:59 EDT
Actually I think it is a ICH5-R

http://www.intel.com/design/motherbd/bz/index.htm .. there are all the
details for my exact motherboard.

here is the info for the harddrives.
Comment 3 Matthew Lenz 2004-10-01 10:55:41 EDT
ok, understood.  However that it still looks really unprofessional to
have something fail on boot when its not a failure at all.  How does
it react to a system that has both IDE and SATA drives in it?  Will it
not fail if some of the drives had SMART support?  Eitherway, this
should be resolved before FC3 ships whether it checks to see if there
are only SATA drives and doesn't attempt to load, or it loads and
ignores SATA controllers/drives.

I'll post the exact message errors I see tonight when I get home.
Comment 4 Jeff Garzik 2005-02-18 00:52:07 EST

*** This bug has been marked as a duplicate of 145596 ***
Comment 5 Ernie Petrides 2005-02-28 20:42:49 EST
This was incorrectly marked as a dup of a RHEL3 bug.  Fixing.
Comment 6 Matthew Lenz 2005-03-17 16:29:27 EST
is this going to make it into FC4?
Comment 7 Milan Kerslager 2005-03-21 05:53:59 EST
Still a problem in final FC3. Changing Version.
Comment 8 Ray J 2005-05-31 23:13:17 EDT
My question is why is this enabled for run-level 2,3,4,5 ? It doesn't work on 
my machine and I don't have SATA.. even made sure I had the newest kernel-
utils via yum.  Beta software on final relase of FC3?  That's smart 
thinking... not.
Comment 9 Matthew Miller 2005-05-31 23:17:26 EDT
It works wonderfully where it works. Where it doesn't, it's harmless.
Comment 10 Dave Jones 2005-07-15 14:18:33 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 11 Frank Ch. Eigler 2005-08-01 12:48:12 EDT
The 2.6.12-1.1372_FC3 kernel does nothing for SATA/SMART.
Comment 12 redhat-bugs2eran 2005-10-01 11:38:00 EDT
Still broken in 2.6.13-1.1526_FC4 .
Comment 13 Matthew Zimmerman 2005-10-25 14:05:21 EDT
And in 2.6.13-1.1532_FC4:

$ /usr/sbin/smartctl -d ata -a /dev/sda
smartctl version 5.33 [i386-redhat-linux-gnu] Copyright (C) 2002-4 Bruce Allen
Home page is http://smartmontools.sourceforge.net/

Smartctl: Device Read Identity Failed (not an ATA/ATAPI device)

A mandatory SMART command failed: exiting. To continue, add one or more '-T
permissive' options.
$ uname -a
Linux tomis.med.virginia.edu 2.6.13-1.1532_FC4smp #1 SMP Thu Oct 20 01:51:51 EDT
2005 i686 i686 i386 GNU/Linux

Comment 14 Dan Hollis 2006-01-02 15:24:53 EST
kernel 2.6.15 has smart-over-sata support now.
Comment 15 Konstantin Olchanski 2006-01-12 15:34:00 EST
FWIW, "smartctl -d ata" works with FC4 kernel 2.6.15-1.1823_FC4. K.O.
Comment 16 Konstantin Olchanski 2006-02-06 16:48:02 EST
FWIW, "smartctl -d ata" works with RHEL4 kernel 2.6.9-27.EL. Thanks to all for
getting it fixed, now I can see if any of my SATA disks are overheating. K.O.

Note You need to log in before you can comment on or make changes to this bug.